org.mozilla.javascript.serialize

## Class ScriptableInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.ObjectInputStream
    - - org.mozilla.javascript.serialize.ScriptableInputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants, java.lang.AutoCloseable

    public class ScriptableInputStream
    extends java.io.ObjectInputStream

Class ScriptableInputStream is used to read in a JavaScript object or function previously serialized with a ScriptableOutputStream. References to names in the exclusion list replaced with references to the top-level scope specified during creation of the ScriptableInputStream.

Author:
  Norris Boyd

### Nested Class Summary

### Nested classes/interfaces inherited from class java.io.ObjectInputStream

`java.io.ObjectInputStream.GetField`

### Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

### Constructor Summary

Constructors
Constructor and Description
`ScriptableInputStream(java.io.InputStream in, Scriptable scope)` Create a ScriptableInputStream.

### Method Summary

Methods
`protected java.lang.Class<?>` `resolveClass(java.io.ObjectStreamClass desc)`
`protected java.lang.Object` `resolveObject(java.lang.Object obj)`

### Methods inherited from class java.io.ObjectInputStream

`available, close, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveProxyClass, skipBytes`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.ObjectInput

`read, skip`

### Constructor Detail

#### ScriptableInputStream

    public ScriptableInputStream(java.io.InputStream in,
                         Scriptable scope)
                          throws java.io.IOException

Create a ScriptableInputStream.

Parameters:
  `in` - the InputStream to read from.
  `scope` - the top-level scope to create the object in.
Throws:
  `java.io.IOException`

### Method Detail

#### resolveClass

    protected java.lang.Class<?> resolveClass(java.io.ObjectStreamClass desc)
                                       throws java.io.IOException,
                                              java.lang.ClassNotFoundException

Overrides:
  `resolveClass` in class `java.io.ObjectInputStream`
Throws:
  `java.io.IOException`
  `java.lang.ClassNotFoundException`

#### resolveObject

    protected java.lang.Object resolveObject(java.lang.Object obj)
                                      throws java.io.IOException

Overrides:
  `resolveObject` in class `java.io.ObjectInputStream`
Throws:
  `java.io.IOException`